Add a phone number
curl --request POST \
--url https://api.callers.ai/organization/{sipId}/phone-number \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumbers": [
"14155552671",
"+442071234567"
]
}
'import requests
url = "https://api.callers.ai/organization/{sipId}/phone-number"
payload = { "phoneNumbers": ["14155552671", "+442071234567"] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumbers: ['14155552671', '+442071234567']})
};
fetch('https://api.callers.ai/organization/{sipId}/phone-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "error",
"message": "<string>",
"data": [
{}
]
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Organizations
Add a phone number
POST
/
organization
/
{sipId}
/
phone-number
Add a phone number
Authorizations
Headers
Optional sub organization ID. Must belong to your main organization API key.
Path Parameters
Body
application/json
Array of phone numbers with country codes
Example:
["14155552671", "+442071234567"]Response
phone number Created successfully.
⌘I